Subject: Re: git-svn fetch hangs or gives broken pipe on a specific "branch"

From: Eric Wong <[email-masked]>
Date: Wed, 6 Jun 2007 01:27:28 -0700

Bill Priest <[email-masked]> wrote:
> I downloaded the latest release of git 1.5.2 and built
> it on RHEL box.  Subversion version is 1.4.2.  The
> repository and the git working directory are on the
> same machine (taking networking out of the picture).
> mkdir git_test
> cd git_test
> git-svn init -t tags -b branches -T trunk "my URL"
> Initialized empty Git repository in .git/
> git-svn fetch
> all tags were processed w/o error AFAICT; the first
> branch it tries to work on causes either a hang or a
> "Broken Pipe".  I changed from an http:// to svn:// on
> the git-svn init and everything worked correctly.
> This would seem to indicate some type of problem w/
> apache/httpd problem.  I looked in the httpd logs and
> didn't see any errors.
>    Is this a known problem?

No.  Is it reproducible?  In my experience, http(s):// has been much
less problematic than svn:// repositories (because I mainly access
https:// ones).

Also, are you certain the git-svn you're running is 1.5.2?  When you
say that it processed all tags before hitting a branch, that
sounds like the behavior of a pre-1.5.1 git-svn.  Run git-svn --version
just to be sure :)

git-svn 1.5.1+ fetches trunk, tags, and branches in chronological order.
Of course, your project may have never created a branch before any of
your tags are created...

Any details on the branch that caused it to fail would be appreciated,
thanks.

-- 
Eric Wong